org.apache.geode.modules.session.catalina

## Class ClientServerSessionCache

- java.lang.Object
- - org.apache.geode.modules.session.catalina.AbstractSessionCache
  - - org.apache.geode.modules.session.catalina.ClientServerSessionCache

- All Implemented Interfaces:
    SessionCache

      public class ClientServerSessionCache
      extends AbstractSessionCache

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static boolean` | `DEFAULT_ENABLE_LOCAL_CACHE`
    `protected static java.lang.String` | `DEFAULT_REGION_ATTRIBUTES_ID`

    - ### Fields inherited from class org.apache.geode.modules.session.catalina.AbstractSessionCache

      `operatingRegion, sessionManager, sessionRegion, statistics`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientServerSessionCache(SessionManager sessionManager, ClientCache cache)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `createOrRetrieveRegion()`
    `GemFireCache` | `getCache()`
    `boolean` | `getDefaultEnableLocalCache()`
    `java.lang.String` | `getDefaultRegionAttributesId()`
    `void` | `initialize()`
    `boolean` | `isBackingCacheAvailable()`
    `boolean` | `isClientServer()`
    `boolean` | `isPeerToPeer()`
    `java.util.Set<java.lang.String>` | `keySet()`
    `int` | `size()`
    `void` | `touchSessions(java.util.Set<java.lang.String> sessionIds)`

    - ### Methods inherited from class org.apache.geode.modules.session.catalina.AbstractSessionCache

      `createRegionConfiguration, createStatistics, destroySession, getOperatingRegion, getOperatingRegionName, getSession, getSessionManager, getSessionRegion, getSessionRegionName, getStatistics, putSession`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_REGION_ATTRIBUTES_ID

          protected static final java.lang.String DEFAULT_REGION_ATTRIBUTES_ID

    - #### DEFAULT_ENABLE_LOCAL_CACHE

          protected static final boolean DEFAULT_ENABLE_LOCAL_CACHE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ClientServerSessionCache

          public ClientServerSessionCache(SessionManager sessionManager,
                                          ClientCache cache)

  - ### Method Detail

    - #### initialize

          public void initialize()

    - #### getDefaultRegionAttributesId

          public java.lang.String getDefaultRegionAttributesId()

    - #### getDefaultEnableLocalCache

          public boolean getDefaultEnableLocalCache()

    - #### touchSessions

          public void touchSessions(java.util.Set<java.lang.String> sessionIds)

    - #### isPeerToPeer

          public boolean isPeerToPeer()

    - #### isClientServer

          public boolean isClientServer()

    - #### keySet

          public java.util.Set<java.lang.String> keySet()

    - #### size

          public int size()

    - #### isBackingCacheAvailable

          public boolean isBackingCacheAvailable()

    - #### getCache

          public GemFireCache getCache()

    - #### createOrRetrieveRegion

          protected void createOrRetrieveRegion()